--- title: Inspecting all metadata values slug: '88' canonical_url: https://docs.coveo.com/en/88/ collection: index-content source_format: adoc --- # Inspecting all metadata values When debugging a [source](https://docs.coveo.com/en/246/), you may want to inspect all key/value pairs extracted at the various [indexing pipeline](https://docs.coveo.com/en/184/) stages. The following post-conversion [indexing pipeline extension (IPE)](https://docs.coveo.com/en/206/) script stores this information in a [data stream](https://docs.coveo.com/en/2891/) named `allmeta`, and adds this data stream to each [item](https://docs.coveo.com/en/210/). **Post-conversion extension script sample**: ```python import json all_meta = document.DataStream('allmeta') json.dump(document.get_meta_data(),all_meta, indent=2) document.add_data_stream(all_meta) ``` Typical usage of this script: . Apply the script to the source for which you want to inspect available [metadata](https://docs.coveo.com/en/218/) and their origin (see [Add or edit an indexing pipeline extension](https://docs.coveo.com/en/1645/)). . [Rebuild the source](https://docs.coveo.com/en/3390#refresh-rescan-or-rebuild-sources). . On the [**Content Browser**](https://platform.cloud.coveo.com/admin/#/orgid/content/browser/) ([platform-ca](https://platform-ca.cloud.coveo.com/admin/#/orgid/content/browser/) | [platform-eu](https://platform-eu.cloud.coveo.com/admin/#/orgid/content/browser/) | [platform-au](https://platform-au.cloud.coveo.com/admin/#/orgid/content/browser/)) page in the **Source** [facet](https://docs.coveo.com/en/198/), select your source. . Double-click an item to open the **Properties** panel. . [[step5]]On the **Additional details** tab, click icon:clipboard-text[alt=clipboard-text,width=16] to copy the item unique ID. . Use the [Get item data stream](https://platform.cloud.coveo.com/docs?urls.primaryName=Search%20API#/Search%20V2/dataStream) endpoint to view the newly added `dataStream`. **Request template** ```http GET https://platform.cloud.coveo.com/rest/search/v2/datastream?organizationId=&dataStream=allmeta&uniqueId= HTTP/1.1 ​ Accept: application/json Authorization: Bearer ``` -- Where: * `` is your [Coveo organization](https://docs.coveo.com/en/185/) [ID](https://docs.coveo.com/en/1562#organization-details). * `` is the unique ID you copied in [step 5](#step5). -- **200 OK response body:** ```json [ { "Values": { // Metadata key/value pairs... }, "Origin": "crawler" }, { "Values": { // Metadata key/value pairs... }, "Origin": "converter" }, { "Values": { // Metadata key/value pairs... }, "Origin": "mapping" } ] ``` . Once you finish debugging, remove the script from the source and [rebuild the source](https://docs.coveo.com/en/3390#refresh-rescan-or-rebuild-sources). > **Note** > > You can achieve a similar result by storing the information as metadata on each item as such: > > ```python import json document.add_meta_data({"allmetadatavalues": json.dumps(document.get_meta_data())}) ``` > > On the desired source, you would map this metadata to a field in your organization. > You would then be able to explore the available metadata by inspecting items from that source and looking at the value of this field at query time (for example, in the Content Browser). > However, the `allmetadatavalues` field should never have the [**Multi-value facet** option](https://docs.coveo.com/en/1833#facet-and-multi-value-facet) enabled, as it will greatly hinder the performance of your search page. > > Additionally, because this new metadata greatly increases the size of each [item](https://docs.coveo.com/en/210/), it can have a negative impact on indexing performance. > You should only apply this script temporarily to a source containing one or few representative items.